#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KF5 Stack.
#

%define rel 1
%define oname attica

Summary:        Open Collaboration Service providers library
Name:           %oname
Version: 5.42.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/attica/%{oname}-%{version}.tar.xz
URL:            https://projects.kde.org/projects/kdesupport/attica
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network) 
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)

BuildRequires:  pkgconfig(Qt5Gui)
#(nl) see : https://bugreports.qt-project.org/browse/QTBUG-39859
BuildRequires:  mesaegl-devel 
BuildRequires:  extra-cmake-modules >= 0.0.14
BuildRequires:  cmake

Conflicts:      kde-l10n < 15.04.0

%description
A library to access Open Collaboration Service providers.
Required to access OSC providers in get hot new stuff in KDE4.

%files
%_sysconfdir/xdg/attica.categories

#--------------------------------------------------------------------

%define attica_major 5
%define libattica %mklibname attica 5

%package -n %libattica
Summary:      Qt library that implements the Open Collaboration Services API
Group:        System/Libraries

Requires:     %name = %version-%release

%description -n %libattica
A library to access Open Collaboration Service providers
Required to access OSC providers in get hot new stuff.

%files -n %libattica
%{_libdir}/libKF5Attica.so.%{attica_major}{,.*}

#--------------------------------------------------------------------
%define attica_devel %mklibname attica-kf5 -d

%package -n %attica_devel

Summary:        Devel stuff for %oname
Group:          Development/KDE and Qt
Requires:       %libattica = %version-%release

Provides:       %name-devel = %version-%release
Provides:       %name-k5-devel = %version-%release

Requires:       pkgconfig(Qt5Core)

%description -n %attica_devel
Provides:        attica-devel = %{version}-%{release}
This package contains header files needed if you wish to build applications
based on %oname.

%files -n %attica_devel
%{_includedir}/KF5/Attica
%{_includedir}/KF5/attica_version.h
%{_libdir}/libKF5Attica.so
%{_libdir}/pkgconfig/libKF5Attica.pc
%{_libdir}/cmake/KF5Attica

#--------------------------------------------------------------------

%prep
%setup -q -n %oname-%version

sed -e 's,${CMAKE_LIBATTICA_VERSION_MAJOR}.${CMAKE_LIBATTICA_VERSION_MINOR}.${CMAKE_LIBATTICA_VERSION_PATCH},%{version},g' -i src/cmake/libKF5Attica.pc.cmake

%build
%cmake_qt5 -DQT4_BUILD=ON
%make

%install
%makeinstall_std -C build

# Find how to place it where it belongs
rm -fv %buildroot/usr/mkspecs/modules/qt_Attica.pri



%changelog
* Wed Jan 17 2018 neoclust <neoclust> 5.42.0-1.mga6
+ Revision: 1194102
- New version 5.42

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088936
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074507
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072168
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058327
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050504
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045082
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041304
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021903
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014313
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999610
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986301
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942222
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921256
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 912916
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909838
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900548
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899506
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898901
+ rebuild (emptylog)

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-1.mga6
+ Revision: 898739
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888214
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881432
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862997
- New version 5.13.0
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-3.mga6
+ Revision: 862811
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Aug 04 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 861138
- Conflict against old kde-l10n

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853787
- New version
- Rename

* Fri Jun 26 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 844562
- New version 5.11.0

* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 803463
- New version 5.5.0
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 744268
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 678032
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660605
- New version 5.1.0
- New version 5.1.0

* Tue Jul 15 2014 lmenut <lmenut> 5.0.0-2.mga5
+ Revision: 653146
- remove invalid obsoletes

* Mon Jul 07 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 650509
- New version 5.0.0

* Tue Jul 01 2014 neoclust <neoclust> 4.100.0-1.mga5
+ Revision: 641998
- New version 4.100

* Thu Apr 03 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611460
- New version

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599990
- New version
- New version 4.97.0

* Wed Feb 26 2014 neoclust <neoclust> 4.96.0-2.mga5
+ Revision: 597318
- Add devel provide

* Wed Feb 26 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 597313
- imported package attica-kf5


* Sat Oct 16 2010 Funda Wang <fwang@mandriva.org> 0.2.0-1mdv2011.0
+ Revision: 586032
- new version 0.2.0

* Sat Sep 11 2010 Funda Wang <fwang@mandriva.org> 0.1.91-1mdv2011.0
+ Revision: 577520
- new version 0.1.91

* Wed Jul 21 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.4-0.1132040.1mdv2011.0
+ Revision: 556308
- Update to new snapshot

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.1.3-2mdv2010.1
+ Revision: 540237
- rebuild so that shared libraries are properly stripped again

* Mon Apr 19 2010 Funda Wang <fwang@mandriva.org> 0.1.3-1mdv2010.1
+ Revision: 536569
- new version 0.1.3

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 0.1.2-1mdv2010.1
+ Revision: 492421
- New verison 0.1.2

* Wed Jan 06 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.1-0.1070828.1mdv2010.1
+ Revision: 486981
- New snapshot

* Tue Dec 15 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.1-0.1062690.1mdv2010.1
+ Revision: 479036
- New svn snapshot

* Thu Dec 03 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.0-0.1057723.1mdv2010.1
+ Revision: 472807
- import attica


